/*******************************************************************
 FILE:		Lcd2.h
 CONTENTS:	Public header file for the Lcd2 widget.
 AUTHOR:	Paul D. Johnston
 HISTORY:
 Date		Action
 ---------	------------------------------------
 9/11/95	modified version: now Lcd2

 5/23/92	Changed the widget class name so that it is preceded
		by 'xc' with the first major word capitalized.
 4/04/92	Created.

********************************************************************/

#ifndef LCD2_H
#define LCD2_H

/* Superclass header */
#include <X11/Xc/Value.h>


/*
 * Define widget resource names, classes, and representation types.
 * Use these resource strings in your resource files.
 */
#define XcNvalueLength		"valueLength"
#define XcCValueLength		"ValueLength"



/* Class record declarations */

extern WidgetClass xcLcd2WidgetClass;

typedef struct _Lcd2ClassRec *Lcd2WidgetClass;
typedef struct _Lcd2Rec *Lcd2Widget;


/* Widget public functions */
extern void XcLcd2UpdateValue();


#endif  /* LCD2_H */
