//
// Copyright 1993,1994,1995 Steve Passe and Paul Crook
//
// Permission to use, copy, modify, and distribute this software and its
// documentation for any purpose and without fee is hereby granted, provided
// that the above copyright notice appear in all copies and that both that
// copyright notice and this permission notice appear in supporting
// documentation, and that the name of AUTHORS (Steve Passe and Paul Crook)
// are not be used in advertising or publicity pertaining to distribution of
// the software without specific, written prior permission.  AUTHORS make no
// representations about the suitability of this software for any purpose.
// It is provided "as is" without express or implied warranty.
//
// AUTHORS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL AUTHORS
// BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
// WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
// OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
// CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
//
// 1995 Revision
// AUTHORS:     Steve Passe <smp@csn.net>
//              Paul Crook
//

// static char rcsid[] = "$Id$";


//
// ir.hh
//

#define MAX_INPUT	3072
#define MAX_SAMPLE	1024
#define COMMENT_CHAR	'#'


#if defined( COMMENT )

An IR keymap looks something like:

#
# comments delimited by '#'
#

# the name of an 'area', one per physical transmitter:
AREA: frontroom

# the name of a device that can be controlled:
 DEVICE: tv

# key/sample pairs
	KEY: tv
	SAMPLE: 16,32,16,64
	KEY: ch_up
	SAMPLE: 16,32,16,64

#endif  // COMMENT

#define AREA_TOKEN	"AREA"
#define DEVICE_TOKEN	"DEVICE"
#define KEY_TOKEN	"KEY"
#define SAMPLE_TOKEN	"SAMPLE"


