//
// Copyright 1996 Steve Passe
//
// Permission to use, copy, modify, and distribute this software and its
// documentation for any purpose and without fee is hereby granted, provided
// that the above copyright notice appear in all copies and that both that
// copyright notice and this permission notice appear in supporting
// documentation, and that the name of AUTHORS (Steve Passe and Paul Crook)
// are not be used in advertising or publicity pertaining to distribution of
// the software without specific, written prior permission.  AUTHORS make no
// representations about the suitability of this software for any purpose.
// It is provided "as is" without express or implied warranty.
//
// AUTHORS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL AUTHORS
// BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
// WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
// OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
// CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
//
// 1996 Revision
// AUTHORS:     Steve Passe <smp@csn.net>
//

// $Id: mlds2401.hh,v 1.4 1996/03/15 22:44:17 smp Exp smp $

//
// MicroLAN is a trademark Dallas Semiconductor
//

//
// mlds2401.hh
//


#ifndef _MLDS2401_H
#define _MLDS2401_H

#include "mldevice.hh"


//
// 
//
class MLDS2401SerialNumber : public MLDevice
{

 public:

    MLDS2401SerialNumber( MLBusMaster& m )
	: MLDevice( _MLDS2401_FAMILY_CODE, m ) {}

    MLDS2401SerialNumber( MLBusMaster& m, const BYTE* id )
	: MLDevice( id, m ) {}


 private:


};

#endif // _MLDS2401_H
