//
// Copyright 1993,1994,1995,1996 Steve Passe and Paul Crook
//
// Permission to use, copy, modify, and distribute this software and its
// documentation for any purpose and without fee is hereby granted, provided
// that the above copyright notice appear in all copies and that both that
// copyright notice and this permission notice appear in supporting
// documentation, and that the name of AUTHORS (Steve Passe and Paul Crook)
// are not be used in advertising or publicity pertaining to distribution of
// the software without specific, written prior permission.  AUTHORS make no
// representations about the suitability of this software for any purpose.
// It is provided "as is" without express or implied warranty.
//
// AUTHORS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL AUTHORS
// BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
// WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
// OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
// CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
//
// 1996 Revision
// AUTHORS:     Steve Passe <smp@csn.net>
//              Paul Crook
//

// static char rcsid[] = "$Id$";


//
// mlnamer.hh
//

#define MAX_INPUT	1024
#define COMMENT_CHAR	'#'


#if defined( COMMENT )

A MicroLAN(tm) keymap looks something like:

#
# comments delimited by '#'
#

# the main cable, one per physical transmitter (currently unnamed/unused):
TRUNK: <unnamed>

# 2nd level of tree:
 LIMB: frontroom

# 3rd level of tree:
  TWIG: [optional]

# 4thlevel of tree:
   STEM: [optional]

# end level & laser ROM family/serial#/CRC:
    LEAF: temp
    ROM:  4d0000673f43aa10

#endif  // COMMENT

#define TRUNK_TOKEN	"TRUNK"
#define LIMB_TOKEN	"LIMB"
#define TWIG_TOKEN	"TWIG"
#define STEM_TOKEN	"STEM"
#define LEAF_TOKEN	"LEAF"
#define ROM_TOKEN	"ROM"


