//
// Copyright 1993,1994,1995 Steve Passe and Paul Crook
//
// Permission to use, copy, modify, and distribute this software and its
// documentation for any purpose and without fee is hereby granted, provided
// that the above copyright notice appear in all copies and that both that
// copyright notice and this permission notice appear in supporting
// documentation, and that the name of AUTHORS (Steve Passe and Paul Crook)
// are not be used in advertising or publicity pertaining to distribution of
// the software without specific, written prior permission.  AUTHORS make no
// representations about the suitability of this software for any purpose.
// It is provided "as is" without express or implied warranty.
//
// AUTHORS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL AUTHORS
// BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
// WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
// OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
// CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
//
// 1995 Revision
// AUTHORS:     Steve Passe <smp@csn.net>
//              Paul Crook
//

// $Id: misc.hh,v 1.2 1996/03/02 08:03:31 smp Exp smp $

#ifndef _MISC_H
#define _MISC_H



// where do these belong???
#define MAX_DG_MSG	2048
#define MAX_PIPE_MSG	512

// for old lib compatibility
extern char* form(const char*, ...);

#include <sys/cdefs.h>

__BEGIN_DECLS
//
// something fishy here...
//
int		isalpha( int );
int		isascii( int );
int		isdigit( int );
int		isprint( int );
int		islower( int );
int		isupper( int );
int		isspace( int );
int		toupper( int );
__END_DECLS

typedef		void (*PFV)();

#if !defined( OK )
# define OK	0
#endif

#if !defined( BAD )
# define BAD	1
#endif

#if !defined( ERROR )
# define ERROR	-1
#endif

#if !defined( TRUE )
# define TRUE	1
#endif

#if !defined( FALSE )
# define FALSE	0
#endif

#if !defined( NULL )
# define NULL	((void *)0)
#endif

#if !defined( EQUAL )
# define EQUAL	0
#endif

#if !defined( MIN )
# define MIN(X,Y)	((X) < (Y) ? (X) : (Y))
#endif

#if !defined( MAX )
# define MAX(X,Y)	((X) > (Y) ? (X) : (Y))
#endif

typedef unsigned char	BYTE;

typedef void*(*TFUNC_T)(void*);

#endif  // _MISC_H
